Subject: [multimob] PIM and non-directly connected multicast sources

From: Stig Venaas <[email-masked]>
Date: Mon, 15 Aug 2011 10:28:25 -0700

In Quebec we had some discussions regarding how PIM
behaves when sources are not directly connected. E.g.
for the base solution, if a MN is a source, the MAG
an IGMP/MLD proxy and a router (a layer-3 device) and
the LMA a PIM router (or possibly LMA also a proxy
with PIM further upstream).

Anyway, the issue is that for ASM to work with PIM-SM,
the PIM router closest to the source should send PIM
registers to the RP. The PIM spec (RFC 4601) says that
the PIM router does that if the source is directly
connected. See mainly section 4.2 of 4601 if interested.

In our case, the MN would not be regarded as directly
connected, because there is a router between the source
and the LMA.

But there are solutions to this problem. This is
described in appendix A of RFC 4601. They are used
when connecting a multicast domain not running PIM-SM,
to a PIM-SM domain.

I think most PIM implementations have some kind of
solution for this, either as in A.1 or something
similar.

Stig